Bug 246142 - Puppet RPM needs dependency on RDoc for help to work
Puppet RPM needs dependency on RDoc for help to work
Product: Fedora
Classification: Fedora
Component: puppet (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: David Lutterkort
Fedora Extras Quality Assurance
: Reopened
: 432193 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-06-28 15:42 EDT by Michael DeHaan
Modified: 2013-04-30 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-07 12:53:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael DeHaan 2007-06-28 15:42:51 EDT
Description of problem:

puppet needs dependency on rdoc so --help works

Version-Release number of selected component (if applicable):

0.23.0 / FC-6

How reproducible:


Steps to Reproduce:
1.   on a clean Xen instance
2.   yum install puppet
3.   puppet --help
Actual results:

[root@dhcp231-76 ~]# puppet --help
No help available unless you have RDoc::usage installed

Expected results:

shows help

Additional info:

Comment 1 David Lutterkort 2007-06-29 15:17:00 EDT
The reason that that dependency doesn't exist is that installation of the puppet
client shouldn't cause the usually unnecessary install of rdoc. The real fix is
to have man pages for puppet (see http://reductivelabs.com/trac/puppet/ticket/198)
Comment 2 Michael DeHaan 2007-06-29 16:31:29 EDT
I filed that one way back :)

If that one is being worked on, great.   Typically I have rdoc installed during
development though I hit that on one of our guests.  

Comment 3 Todd Zullinger 2008-03-06 13:01:06 EST

Many thanks for the puppet packages, they're fantastically handy.

However, even when puppet adds manpages, using the --help option should print
something useful instead of the current "No help available unless you have
RDoc::usage installed."

The ruby-rdoc package is less than a megabyte installed (~1.7MB total, with the
ruby-irb package that it pulls in).  This hardly seems too large to require. 
The benefit to (new) users of the puppet packages far outweighs the desire to
have absolutely minimal dependencies IMHO.  Please re-consider requiring
ruby-rdoc to provide a better user experience.

FWIW, the upstream bug has been marked as closed, fixed (though it did not make
it into the 0.24.2 tarball -- the Rakefile needs an update).  Further, the only
man page created is for the puppet command.  There are yet to be man pages for
puppetca, puppetd, or puppetmasterd.
Comment 4 Todd Zullinger 2008-03-06 13:02:36 EST
*** Bug 432193 has been marked as a duplicate of this bug. ***
Comment 5 David Lutterkort 2008-04-07 12:53:33 EDT
Hi Todd,

I patched the manpages into the 0.24.4 release, that includes puppetca, puppetd,
and puppetmasterd.

Seeing how all of ruby is only ~ 7.1MB, rdoc is a pretty serious addition. I
will not add a dependency on rdoc, since it will unnecessarily bloat things for
people that don't need it and/or install with --excludedocs.

I agree that that message isn't very helpful; it should be filed as a separate
bug upstream (and ideally, puppet would produce at least some brief help message
when run on a non-rdoc system)

Note You need to log in before you can comment on or make changes to this bug.